#
# spec file for package xbill (Version 2.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp xdevel xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xbill
Copyright:    GPL
Group:        X11/Games
Autoreqprov:  on
Version:      2.0
Release:      402
Summary:      Who is afraid of little Bill?
Source:       xbill.tar.gz
Patch:        xbill.dif
BuildRoot:    /var/tmp/%{name}-build

%description
A small but mean hacker named Bill wants to infect some Workstations with
his program. It is on you to save the world and to slap him for trying this.

Authors:
--------
    Brian Wellington <bwelling@eng.umd.edu>
    Matias Duarte <matias@eng.umd.edu>

SuSE series: fun

%prep
%setup -n xbill
%patch

%build
xmkmf -a
make

%install
#install -d /var/games/xbill
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT MANDIR=/usr/X11R6/man/man6 MANSUFFIX=6 install.man
strip $RPM_BUILD_ROOT/usr/X11R6/bin/xbill
chmod a-x $RPM_BUILD_ROOT/var/games/xbill/scores
gzip $RPM_BUILD_ROOT/usr/X11R6/man/man6/xbill.6

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/X11R6/bin/*
%doc /usr/X11R6/man/man*/*
/var/games/xbill/

%changelog -n xbill
* Thu Aug 10 2000 - vinil@suse.cz
- common diff made
- man page corrected
- sorted in group
- buildroot added
- binary stripped
- highscore no longer executable
* Tue Jul 18 2000 - bjacke@suse.de
- added green SuSE pixmap and removed a red one
* Thu Jun 08 2000 - ro@suse.de
- moved var/lib/games to var/games
* Sat Feb 19 2000 - kasal@suse.cz
- removed Makefile.Linux
* Sat Jan 29 2000 - ro@suse.de
- fixed to compile
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Oct 05 1998 - ro@suse.de
- added libgpp to neededforbuild
* Fri May 16 1997 - rj@suse.de
- new version 2.0
* Sun Feb 23 1997 - rj@suse.de
- new package (version 1.1)
